
GRAY_FONT_COLOR_CODE = "|cff808080";
ORANGE_FONT_COLOR_CODE = "|cffff9900";

TITAN_PALS_AUTHOR = "Nagdand@Laughing Skull"
TITAN_PALS_ADDVER = "r3";
TITAN_PALS_TIMER = 60;

TITAN_PALS_ID = "Pals";
TITAN_PALS_VERSION = GetAddOnMetadata("TitanPals","Version")
TITAN_PALS_TOOLTIP = "Online Pals Info";
TITAN_PALS_TOOLTIP_OFF = "Offline Pals Info"
TITAN_PALS_TOOLTIP_IGNORED = "Currently Ignored Info"
TITAN_PALS_TOOLTIP_ONLINE = "Online"
TITAN_PALS_TOOLTIP_OFFLINE = "Offline"
TITAN_PALS_TOOLTIP_IGNORE = "Currently Ignored"
TITANPALS_ARTWORK_PATH = "Interface\\AddOns\\TitanPals\\Artwork\\";

-- English localization by Default

TITAN_PALS_BUTTON_LABEL = "Pals: "
TITAN_PALS_BUTTON_TEXT = "%s"..TitanUtils_GetHighlightText("/").."%s"..TitanUtils_GetHighlightText("/").."%s";
TITAN_PALS_MENU_TEXT = "Titan Pals"
TITAN_PALS_MENU_NOALTS = "Remove Alts from ToolTip"
TITAN_PALS_MENU_DEV = "Enable/Disable Debug Mode"
TITAN_PALS_MENU_SHOWIGNORED = "Show Currently Ignored"
TITAN_PALS_MENU_SHOWOFFLINE = "Show Offline Pals"
TITAN_PALS_MENU_SHOWCLASS = "Show Pals Class"
TITAN_PALS_MENU_SHOWNOTE = "Show Pals Note"
TITAN_PALS_MENU_SYNCALTS = "Sync Pals to Friends List"
TITAN_PALS_MENU_WHISPER = "Whisper"
TITAN_PALS_MENU_INVITE = "Invite"
TITAN_PALS_MENU_REMOVE = "Remove"
TITAN_PALS_MENU_NOTE = "Note"
TITAN_PALS_MENU_UPGRADE = "Upgrade Now"
--Warrior
TITAN_PALS_NOTE_WPROT = "Protection"
TITAN_PALS_NOTE_WARMS = "Arms"
TITAN_PALS_NOTE_WFURY = "Fury"
--Mage
TITAN_PALS_NOTE_MFIRE = "Fire"
TITAN_PALS_NOTE_MFROS = "Frost"
TITAN_PALS_NOTE_MARCA = "Arcane"
--Paladin
TITAN_PALS_NOTE_PPROT = "Protection"
TITAN_PALS_NOTE_PHOLY = "Holy"
TITAN_PALS_NOTE_PRETR = "Retribution"
--Hunter
TITAN_PALS_NOTE_HMARK = "Marksmanship"
TITAN_PALS_NOTE_HBEAS = "Beast Mastery"
TITAN_PALS_NOTE_HSURV = "Survival"
--Rogue
TITAN_PALS_NOTE_RASSA = "Assassination"
TITAN_PALS_NOTE_RCOMB = "Combat"
TITAN_PALS_NOTE_RSUBT = "Subtlety"
--Priest
TITAN_PALS_NOTE_PRSHA = "Shadow"
TITAN_PALS_NOTE_PRHOL = "Holy"
TITAN_PALS_NOTE_PRDIS = "Discipline"
--Warlock
TITAN_PALS_NOTE_LAFFL = "Affliction"
TITAN_PALS_NOTE_LDEMO = "Demonology"
TITAN_PALS_NOTE_LDEST = "Destruction"
--Death Knight
TITAN_PALS_NOTE_DKBLO = "Blood"
TITAN_PALS_NOTE_DKFRO = "Frost"
TITAN_PALS_NOTE_DKUNH = "Unholy"
--Druid
TITAN_PALS_NOTE_DBALA = "Balance"
TITAN_PALS_NOTE_DFERA = "Feral Combat"
TITAN_PALS_NOTE_DREST = "Restoration"
--Shaman
TITAN_PALS_NOTE_SELEM = "Elemental"
TITAN_PALS_NOTE_SENHA = "Enhancement"
TITAN_PALS_NOTE_SREST = "Restoration"

--Reseting to Default
	TITAN_PALS_RESET_WARNING = GREEN_FONT_COLOR_CODE.."Warning:"..FONT_COLOR_CODE_CLOSE.."This function is here to help with Major Database changes. This will reset TitanPalsList and TitanPalsAlts, Sorry there is nothing that can be done";
	TITAN_PALS_WARNING_TEXT = NORMAL_FONT_COLOR_CODE.."Titan Panel [ |cffeda55fPals"..NORMAL_FONT_COLOR_CODE.." ]".." |cff00aa004.0.0.3000|r";

--[[
-- German localization by ven
if ( GetLocale() == "deDE" ) then
	TITAN_PALS_MENU_TEXT = ""
	TITAN_PALS_MENU_WHISPER = ""
	TITAN_PALS_MENU_INVITE = ""
	TITAN_PALS_BUTTON_LABEL = ""
	TITAN_PALS_BUTTON_TEXT = "%s"..TitanUtils_GetHighlightText("/").."%s";
	TITAN_PALS_TOOLTIP = ""
end

-- French localization by alainb
if ( GetLocale() == "frFR" ) then
	TITAN_PALS_MENU_TEXT = ""
	TITAN_PALS_MENU_WHISPER = ""
	TITAN_PALS_MENU_INVITE = ""
	TITAN_PALS_BUTTON_LABEL = ""
	TITAN_PALS_BUTTON_TEXT = "%s"..TitanUtils_GetHighlightText("/").."%s";
	TITAN_PALS_TOOLTIP = ""
end

-- Spanish localization by Fili
if ( GetLocale() == "esES" ) then
	TITAN_PALS_MENU_TEXT = ""
	TITAN_PALS_MENU_WHISPER = ""
	TITAN_PALS_MENU_INVITE = ""
	TITAN_PALS_BUTTON_LABEL = ""
	TITAN_PALS_BUTTON_TEXT = "%s"..TitanUtils_GetHighlightText("/").."%s";
	TITAN_PALS_TOOLTIP = ""
end
]]--